com.jscape.inet.terminal

## Class ICType

- java.lang.Object
- - com.jscape.inet.terminal.ICType

- All Implemented Interfaces:
    SequenceType

      public class ICType
      extends java.lang.Object
      implements SequenceType

  Sequence type with '#', '(', ')' second sequence character. In general there are three characters in such sequence type: "\033SC", where S is an intermediate symbol ('#', '(', ')'), C - alpha or digit character.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCanonicalForm(java.lang.StringBuffer value)` Returns "canonical" form of control sequence (i.e.
    `static ICType` | `getInstance()` Returns one and only one instance of this type.
    `int[]` | `getParameters(java.lang.StringBuffer value)` Extracts and returns sequence parameters as array of `int`.
    `boolean` | `isComplete(java.lang.StringBuffer value)` Checks if sequence is complete.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static ICType getInstance()

      Returns one and only one instance of this type.
      Returns:
        one and only one instance of `ICType` object.

    - #### isComplete

          public boolean isComplete(java.lang.StringBuffer value)

      Checks if sequence is complete.
      Specified by:
        `isComplete` in interface `SequenceType`
      Parameters:
        `value` - sequence value.
      Returns:
        true if sequence is complete.

    - #### getParameters

          public int[] getParameters(java.lang.StringBuffer value)

      Extracts and returns sequence parameters as array of `int`.
      Specified by:
        `getParameters` in interface `SequenceType`
      Parameters:
        `value` - sequence value.
      Returns:
        array of `int`.

    - #### getCanonicalForm

          public java.lang.String getCanonicalForm(java.lang.StringBuffer value)

      Returns "canonical" form of control sequence (i.e. without parameters). For example: having "\033#7" incoming sequence its "canonical" form will be "\033#7".
      Specified by:
        `getCanonicalForm` in interface `SequenceType`
      Parameters:
        `value` - sequence value.
      Returns:
        string with "canonical" sequence form.

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved